<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
           function Factorial(){
            var numero = isNan(prompt("Escribe un numero"));
            var total = 1;
            console.log(typeof(numero));
            //for (var i = num; i> 1; i--){
            for (var i = 1; i<= numero; i++){
                total*=i;
            }
            alert("El resultado de "+ numero +" es: " + total);
        }   
        Factorial();  
    </script>
</body>
</html>